org.apache.fop.fo

## Class ValidationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.xml.sax.SAXException
      - - org.apache.fop.apps.FOPException
        - - org.apache.fop.fo.ValidationException

- All Implemented Interfaces:
    Serializable

      public class ValidationException
      extends FOPException

  Exception thrown during FO tree validation.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationException(String message)` Construct a validation exception instance.
    `ValidationException(String message, Locator locator)` Construct a validation exception instance.

  - ### Method Summary

    - ### Methods inherited from class org.apache.fop.apps.FOPException

      `getLocalizedMessage, getMessage, getRootException, isLocationSet, printStackTrace, printStackTrace, printStackTrace, setLocalizedMessage, setLocation, setLocator`

    - ### Methods inherited from class org.xml.sax.SAXException

      `getCause, getException, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getStackTrace, getSuppressed, initCause, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidationException

          public ValidationException(String message)

      Construct a validation exception instance.
      Parameters:
        `message` - a message

    - #### ValidationException

          public ValidationException(String message,
                                     Locator locator)

      Construct a validation exception instance.
      Parameters:
        `message` - a message
        `locator` - a locator

Copyright © 2023 Apache Software Foundation. All rights reserved.